Introduction to the Phonon-backend-gstreamer

This package provides a Phonon backend which utilizes the GStreamer media framework.

This package is known to build and work properly using an LFS-7.10 platform.

Package Information

Phonon-backend-gstreamer Dependencies


GStreamer-1.8.3, libxml2-2.9.4, and phonon-4.9.0


User Notes:

Installation of Phonon-backend-gstreamer



This package unpacks to the directory phonon-gstreamer-4.9.0.

Install Phonon-backend-gstreamer by running the following commands:

mkdir build &&
cd    build &&

cmake -DCMAKE_INSTALL_PREFIX=/usr    \
      -DCMAKE_INSTALL_LIBDIR=lib     \
      -DCMAKE_BUILD_TYPE=Release     \
      -Wno-dev .. &&

Now, as the root user:

make install

Command Explanations

-DCMAKE_BUILD_TYPE=Release: This switch is used to apply higher level of compiler optimizations.

-DCMAKE_INSTALL_LIBDIR=lib: This switch is used to get libraries to install to /usr/lib instead of /usr/lib64 on a 64 bit system.

-DPHONON_BUILD_PHONON4QT5=ON: This switch is used to ensure that Qt5 version of the backend is built even if Qt4 is present.


Installed Programs: none
Installed Libraries:
Installed Directories: /usr/lib/qt5/plugins/phonon4qt5_backend

Last updated on 2016-08-29 20:28:42 -0700